Subject: Re: [PATCH v4 35/49] KVM: arm64: GICv3: nv: Plug L1 LR sync into deactivation primitive

From: Darren Hart <[email-masked]>
Date: Thu, 23 Apr 2026 17:02:40 -0700

On Wed, Apr 22, 2026 at 07:55:56AM +0100, Marc Zyngier wrote:
> [+ Darren]

Thanks for the head's up Marc. 

> On Tue, 31 Mar 2026 10:42:57 +0100,
> Marc Zyngier <[email-masked]> wrote:
> > > 

...

> > > Although this behavior is puzzling, it matches the trace I typically
> > > observe on L0. After reverting the patch, I was able to boot L2 guests
> > > successfully.
> > 
> > Well, this patch fixes real bugs, so it isn't going anywhere.

Understood.

> 
> Have you made progress on this? I can't reproduce it at all despite my
> best effort. I'm perfectly happy to help, but you need to give me
> *something* to go on.
> 

I didn't give this the attention it deserved. I've now got Vishnu the
resources he needs to help move this forward. We owe you something
concrete/actionable/reproducible and we'll report back once we have it.

-- 
Darren Hart
Ampere Computing / Linux Enabling